Cyberduck Mountain Duck CLI

#9697 closed defect (duplicate)

FTP response 421 received after file transfer

Reported by: JoeCuv Owned by: dkocher
Priority: normal Milestone: 5.2
Component: ftp Version: 5.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description (last modified by dkocher)

Whenever I queue up a whole folder or a large batch of files to download via FTP, usually when backing files in prep for a WordPress update, I ALWAY get this error below, and it always happens on EVERY SERVER from different hosts. It does not matter if I use Passive or Active connections. I have opened up the server timeout to the full 120 seconds... and let me be clear, CYBERDUCK APPEARS TO DOWNLOAD THE FILES AND GOES THROUGH THE ENTIRE DOWNLOAD PROCESS, and it is not until the very end of the download that I get this error, AND in most cases the FILES DON'T SEEM TO BE DOWNLOADED EVEN THOUGH CYBERDUCK LOOKED LIKE IT DID!

Error: Connection failure:
FTP response 421 received.  Server closed connection. The connection attempt was rejected. The server may be down, or your network may not be properly configured.

My only workaround is to download smaller batches of files which is absolutely too time consuming and a complete nuisance! What is causing this?

Change History (4)

comment:1 Changed on Sep 15, 2016 at 3:39:05 PM by JoeCuv

I have never had this problem with other FTP clients working on the same servers. When I upgraded to El Cap for OSX I had to start using a new FTP application and CyberDuck appeared to be the most recommended. Most of the web hosts I connect to have config files I use to setup the connections. These are getting the error. If I create the connection manually I get the error. I always get the error. How could I be able to transfer smaller groups of files successfully 100% of the time, but always get this error when it is a large batch of files?

comment:2 Changed on Sep 17, 2016 at 11:56:04 AM by dkocher

  • Component changed from core to ftp
  • Description modified (diff)
  • Owner set to dkocher
  • Summary changed from Connection Failure at the END of a long transfer to FTP response 421 received after file transfer

comment:3 Changed on Oct 17, 2016 at 3:22:04 PM by dkocher

  • Milestone set to 6.0
  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #9368. Please limit the number of [https://trac.cyberduck.io/wiki/help/en/howto/transfer#NumberofconcurrentTransfers connections] allowed for file transfers or disable the use of multiple connections for file transfers in Preferences → Transfers → Transfer Files by choosing Open new connection.

comment:4 Changed on Oct 19, 2016 at 2:17:19 PM by dkocher

  • Milestone changed from 6.0 to 5.2

Milestone renamed

Note: See TracTickets for help on using tickets.